Skip to content
Amplify APIReference

Retrieve a Single PromotedLinkSequence

GET/promotedLinksSequences/{id}
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

the id of the PromotedLinksSequence

Response Body

application/json

curl -X GET "https://example.com/promotedLinksSequences/0022310af9cb6398828bf2abd1445aa9fe"
{  "id": "0022310af9cb6398828bf2abd1445aa9fe",  "campaignId": "009247e650fa2b633751c9d8d21689e626",  "title": "title",  "enabled": true,  "onAirStatus": {    "onAir": false,    "reason": "CAMPAIGN_OFF_AIR"  },  "cachedLogoUrl": "http://image.com",  "sponsor": "Sponser",  "promotedLinks": [    {      "id": "004a20d8a639b14703b76c7f9cfbde81f6",      "text": "text1",      "creationTime": "2020-09-23 05:30:43",      "lastModified": "2020-09-23 05:30:43",      "url": "https://url1.com",      "siteName": "siteName",      "sectionName": "sectionName",      "status": "PENDING",      "enabled": true,      "cachedImageUrl": "http://image1.com",      "campaignId": "009247e650fa2b633751c9d8d21689e626",      "archived": false,      "documentLanguage": "EN",      "onAirStatus": {        "onAir": false,        "reason": "SEQUENCE_OFF_AIR"      },      "baseUrl": "https://baseUrl.com",      "documentId": "00f863c5674af5c5f63415500f699a04e5",      "sequenceSettings": {        "sequenceId": "0022310af9cb6398828bf2abd1445aa9fe",        "sequenceOrder": 2      },      "approvalStatus": {        "status": "Pending",        "isEditable": true      },      "imageType": "Standard",      "language": "en"    },    {      "id": "00edb86a9edd703c67af97b31466188e56",      "text": "text2",      "creationTime": "2020-09-23 05:30:43",      "lastModified": "2020-09-23 05:30:43",      "url": "https://url1.com",      "siteName": "siteName",      "sectionName": "sectionName",      "status": "PENDING",      "enabled": true,      "cachedImageUrl": "http://image2.com",      "campaignId": "009247e650fa2b633751c9d8d21689e626",      "archived": false,      "documentLanguage": "EN",      "onAirStatus": {        "onAir": false,        "reason": "SEQUENCE_OFF_AIR"      },      "baseUrl": "https://baseUrl.com",      "documentId": "00f863c5674af5c5f63415500f699a04e5",      "sequenceSettings": {        "sequenceId": "0022310af9cb6398828bf2abd1445aa9fe",        "sequenceOrder": 1      },      "approvalStatus": {        "status": "Pending",        "isEditable": true      }    }  ],  "creationTime": "2020-09-23 05:30:43",  "lastModified": "2020-09-23 05:30:43"}